Windows Compiling 0.4 server on newest MSVC 17

pw1602

New Member
Joined
Jul 22, 2014
Messages
3
Best answers
0
Reaction score
0
Hello.

This isn't a big problem, because I already can compile tfs 0.4 on MSVC 10, but I want to ask: How can I upgrade project to use it on newest version of Visual Studio 17? I already added all include and lib folders, but when I click rebuild then a lot of errors are showed up, and this is from almost every file. I know propably this is because MSVC 17 is using C++ 11, but there is must be something what I can do to compile old server.

Tfs version: 0.4 3777 from Fir3element (GitHub - Fir3element/3777)

PS. I am using files from his github and I want to compile 64 bit version.
 

Delusion

Divine Intellect
Support Team
Joined
Feb 14, 2015
Messages
5,220
Best answers
508
Reaction score
2,849
you have to download all the dependencies and link them yourself
boost, xmlparser, etc that dev c++ uses
it's the reason you're supposed to use dev c++ because dev c++ already has those dependencies integrated into the ide
why do you need to use vs at all for an outdated server engine?
if you want to update to a modern ide with an easy transition you should update your server engine
 
OP
P

pw1602

New Member
Joined
Jul 22, 2014
Messages
3
Best answers
0
Reaction score
0
I know I can download newest engine, but I want to create something on Tibia 8.6.

I will try download all the dependencies and link them (I do that with pack from github, but maybe if I download them alone, then there maybe something will change), but I want to know if there is any chance to do that in MSVC 17. Using DevC++ or MSVC 10 is no problem for me, but I just want to know how to do more, because this is step forward and with this knowledge maybe in the future I can create something. This is just curiosity. Thanks for reply and maybe I can do something to reach this goal.
 
OP
P

pw1602

New Member
Joined
Jul 22, 2014
Messages
3
Best answers
0
Reaction score
0
Thank you. I will try this engine. So if there is newest engine just converted to 8.6 then maybe there isn't possible way to compile old engine in newest MSVC 17 and at this point this answet maybe is the best. Thank you again.
 
Top